<?php

/* Onpub (TM)
 * Copyright (C) 2010 Onpub Co. <http://onpubco.com/>
 * Author: Corey H.M. Taylor <corey@onpubco.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2.
 */

if ($onpub_website) {
  if ($onpub_website->image) {
    en('<a href="index.php"><img src="' . addTrailingSlash($onpub_website->imagesURL) . $onpub_website->image->fileName . '" alt="' . $onpub_website->image->fileName . '" title="' . $onpub_website->image->description . '"></a>');
  }
  else {
    en('<div class="logo"><a href="index.php">' . $onpub_website->name . '</a></div>');
  }

  $sections = $onpub_sections->select(null, $onpub_website->ID, FALSE);

  $sectIDs = array();

  foreach ($onpub_website->sections as $s) {
    $sectIDs[] = $s->ID;
  }

  if (sizeof($sections)) {
    en('<div id="onpubmenubar" class="yui-menu yui-menu-horizontal yui-menubuttonnav">');
    en('<div class="yui-menu-content">');
    en('<ul>');

    /*
    en('<li class="yui-menuitem">');
    en('<a class="yui-menuitem-content" href="index.php">Home</a>');
    en('</li>');
    */

    $i = 0;

    foreach ($sections as $s) {
      if (in_array($s->ID, $sectIDs)) {
        if ($s->url) {
          en('<li class="yui-menuitem">');
          if ($i) {
            en('<a class="yui-menuitem-content" href="' . $s->url . '">' . $s->name . '</a>');
          }
          else {
            en('<a class="yui-menuitem-content round-topleft" href="' . $s->url . '">' . $s->name . '</a>');
          }
          en('</li>');
        }
        else {
          en('<li>');
          if ($i) {
            en('<a class="yui-menu-label" href="index.php?sectionID=' . $s->ID . '"><em>' . $s->name . '</em></a>');
          }
          else {
            // Round the left corner of the first menu label.
            en('<a class="yui-menu-label round-topleft" href="index.php?sectionID=' . $s->ID . '"><em>' . $s->name . '</em></a>');
          }
          en('<div class="yui-menu">');
          en('<div class="yui-menu-content unround-top">');
          en('<ul>');

          $articles = $onpub_articles->select(null, $s->ID);

          foreach ($articles as $a) {
            if ($a->url) {
              en('<li class="yui-menuitem"><a class="yui-menuitem-content" href="' . $a->url. '">' . $a->title . '</a></li>');
            }
            else {
              en('<li class="yui-menuitem"><a class="yui-menuitem-content" href="index.php?sectionID=' . $s->ID . '&amp;articleID=' . $a->ID . '">' . $a->title . '</a></li>');
            }
          }

          $subsections = $s->sections;

          foreach ($subsections as $sub) {
            if ($sub->url) {
              en('<li class="yui-menuitem">');
              en('<a class="yui-menuitem-content" href="' . $sub->url . '">' . $sub->name . '</a>');
              en('</li>');
            }
            else {
              en('<li>');
              en('<a class="yui-menu-label" href="index.php?sectionID=' . $sub->ID . '">' . $sub->name . '</a>');
              en('<div class="yui-menu">');
              en('<div class="yui-menu-content">');
              en('<ul>');

              $articles = $onpub_articles->select(null, $sub->ID);

              foreach ($articles as $a) {
                if ($a->url) {
                  en('<li class="yui-menuitem"><a class="yui-menuitem-content" href="' . $a->url . '">' . $a->title . '</a></li>');
                }
                else {
                  en('<li class="yui-menuitem"><a class="yui-menuitem-content" href="index.php?sectionID=' . $sub->ID . '&amp;articleID=' . $a->ID . '">' . $a->title . '</a></li>');
                }
              }

              en('</ul>');
              en('</div>');
              en('</div>');
              en('</li>');
            }
          }

          en('</ul>');
          en('</div>');
          en('</div>');
          en('</li>');
        }

        $i++;
      }
    }

    en('</ul>');
    en('</div>');
    en('</div>');
  }
}
else {
    en('<a href="index.php"><img src="' . $onpub_dir_root . $onpub_dir_manage . 'images/onpub.png" alt="Onpub" title="Onpub"></a>');
}

?>